@import url("https://fonts.googleapis.com/css2?family=Noto+Sans:wght@700&family=Poppins:wght@400;500;600&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
}

body {
  background: #dee2e6;
  height: 100vh;
}

.center {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  max-width: 420px;
  width: 100%;
  background: white;
  border-radius: 10px;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.05);
}

.center h1 {
  text-align: center;
  padding: 20px 0 0; /* Ajustado para remover o padding inferior */
  margin-bottom: 5px; /* Margem inferior para espaçar do subtítulo */
}

.center h5.subtitle {
  text-align: center;
  font-size: 14px; /* Tamanho de fonte menor */
  color: #666666;
  margin: 0 0 20px; /* Margem para espaçar do formulário */
}

.center form {
  padding: 0 40px;
  box-sizing: border-box;
}

form .txt_field {
  position: relative;
  border-bottom: 2px solid #adadad;
  margin: 30px 0;
}

.txt_field input {
  width: 100%;
  padding: 0 5px;
  height: 40px;
  font-size: 16px;
  border: none;
  background: none;
  outline: none;
}

.txt_field label {
  position: absolute;
  top: 50%;
  left: 5px;
  color: #adadad;
  transform: translateY(-50%);
  font-size: 16px;
  pointer-events: none;
  transition: 0.5s;
}

.txt_field span::before {
  content: "";
  position: absolute;
  top: 40px;
  left: 0;
  width: 0%;
  height: 2px;
  background: #cf0d24;
  transition: 0.5s;
}

.txt_field input:focus ~ label,
.txt_field input:valid ~ label,
.txt_field input:-webkit-autofill ~ label {
  top: -5px;
  color: #cf0d24;
}

.txt_field input:focus ~ span::before,
.txt_field input:valid ~ span::before,
.txt_field input:-webkit-autofill ~ span::before {
  width: 100%;
}

.pass {
  margin: -5px 0 20px 5px;
  color: #b50b2d;
  text-align: center;
}

.perfil_radio {
  text-align: center;
  margin-top: 20px; /* Adiciona uma margem superior para distanciar da div do formulário */
}

.perfil_radio label {
  margin-right: 10px; /* Adiciona uma margem à direita nos labels */
}

input[type="submit"] {
  margin-top: 20px; /* Adiciona uma margem superior ao botão de login */
}


input[type="submit"] {
  width: 100%;
  height: 50px;
  background: #cf0d24;
  border-radius: 25px;
  font-size: 18px;
  color: #e9f4fb;
  font-weight: 700;
  cursor: pointer;
  outline: none;
  transition: 0.5s;
  border: none;
}

input[type="submit"]:hover {
  border-color: #cf0d24;
}

.signup_link {
  margin: 30px 0;
  text-align: center;
  font-size: 16px;
  color: #666666;
}

.signup_link a {
  color: #cf0d24;
  text-decoration: none;
}

.signup_link a:hover {
  text-decoration: underline;
}

/* Estilos adicionais para quando os campos são preenchidos automaticamente */
input:-webkit-autofill {
  -webkit-box-shadow: 0 0 0 30px white inset; /* Ajusta o fundo dos campos autofill */
  -webkit-text-fill-color: #000; /* Ajusta a cor do texto dos campos autofill */
}

input:not(:placeholder-shown) ~ label {
  top: -5px;
  color: #cf0d24;
}
